import request from '@/utils/request'

// 查询安全运行奖励列表
export function listSafeOperationReward(query) {
  return request({
    url: '/gxt/safeoperationreward/list',
    method: 'get',
    params: query
  })
}

// 查询安全运行奖励详细
export function getSafeOperationReward(id) {
  return request({
    url: '/gxt/safeoperationreward/' + id,
    method: 'get'
  })
}

// 新增安全运行奖励
export function addSafeOperationReward(data) {
  return request({
    url: '/gxt/safeoperationreward',
    method: 'post',
    data: data
  })
}

// 修改安全运行奖励
export function updateSafeOperationReward(data) {
  return request({
    url: '/gxt/safeoperationreward',
    method: 'put',
    data: data
  })
}

// 删除安全运行奖励
export function delSafeOperationReward(id) {
  return request({
    url: '/gxt/safeoperationreward/' + id,
    method: 'delete'
  })
}

// 导出安全运行奖励
export function exportSafeOperationReward(query) {
  return request({
    url: '/gxt/safeoperationreward/export',
    method: 'post',
    params: query
  })
}

// 获取安全运行奖励导出字段列表
export function getExportFields() {
  return request({
    url: '/gxt/safeoperationreward/exportFields',
    method: 'get'
  })
}